Bug 1173212 - [abrt] control-center: gtk_tree_row_ref_deleted(): gnome-control-center killed by SIGSEGV
Summary: [abrt] control-center: gtk_tree_row_ref_deleted(): gnome-control-center kille...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f1a8b58d72b92de5afd86bd0eff...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-11 17:07 UTC by Rob Strong
Modified: 2014-12-15 04:27 UTC (History)
6 users (show)

Fixed In Version: gtk3-3.14.6-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 04:27:57 UTC


Attachments (Terms of Use)
File: backtrace (47.45 KB, text/plain)
2014-12-11 17:07 UTC, Rob Strong
no flags Details
File: cgroup (180 bytes, text/plain)
2014-12-11 17:07 UTC, Rob Strong
no flags Details
File: core_backtrace (14.63 KB, text/plain)
2014-12-11 17:07 UTC, Rob Strong
no flags Details
File: dso_list (25.27 KB, text/plain)
2014-12-11 17:07 UTC, Rob Strong
no flags Details
File: environ (1.48 KB, text/plain)
2014-12-11 17:07 UTC, Rob Strong
no flags Details
File: exploitable (82 bytes, text/plain)
2014-12-11 17:07 UTC, Rob Strong
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-11 17:07 UTC, Rob Strong
no flags Details
File: maps (118.90 KB, text/plain)
2014-12-11 17:07 UTC, Rob Strong
no flags Details
File: open_fds (1.77 KB, text/plain)
2014-12-11 17:07 UTC, Rob Strong
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-12-11 17:07 UTC, Rob Strong
no flags Details
File: var_log_messages (202 bytes, text/plain)
2014-12-11 17:07 UTC, Rob Strong
no flags Details

Description Rob Strong 2014-12-11 17:07:07 UTC
Version-Release number of selected component:
control-center-3.10.3-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-control-center network show-device /org/freedesktop/NetworkManager/Devices/1
crash_function: gtk_tree_row_ref_deleted
executable:     /usr/bin/gnome-control-center
kernel:         3.17.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_row_ref_deleted at gtktreemodel.c:2130
 #1 gtk_tree_row_reference_deleted at gtktreemodel.c:2509
 #2 gtk_tree_view_row_deleted at gtktreeview.c:9057
 #7 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #8 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #9 remove_file at gtkfilesystemmodel.c:1912
 #10 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76
 #12 ffi_call at ../src/x86/ffi64.c:522
 #13 g_cclosure_marshal_generic_va at gclosure.c:1550

Comment 1 Rob Strong 2014-12-11 17:07:08 UTC
Created attachment 967319 [details]
File: backtrace

Comment 2 Rob Strong 2014-12-11 17:07:09 UTC
Created attachment 967320 [details]
File: cgroup

Comment 3 Rob Strong 2014-12-11 17:07:10 UTC
Created attachment 967321 [details]
File: core_backtrace

Comment 4 Rob Strong 2014-12-11 17:07:10 UTC
Created attachment 967322 [details]
File: dso_list

Comment 5 Rob Strong 2014-12-11 17:07:11 UTC
Created attachment 967323 [details]
File: environ

Comment 6 Rob Strong 2014-12-11 17:07:12 UTC
Created attachment 967324 [details]
File: exploitable

Comment 7 Rob Strong 2014-12-11 17:07:12 UTC
Created attachment 967325 [details]
File: limits

Comment 8 Rob Strong 2014-12-11 17:07:13 UTC
Created attachment 967326 [details]
File: maps

Comment 9 Rob Strong 2014-12-11 17:07:14 UTC
Created attachment 967327 [details]
File: open_fds

Comment 10 Rob Strong 2014-12-11 17:07:14 UTC
Created attachment 967328 [details]
File: proc_pid_status

Comment 11 Rob Strong 2014-12-11 17:07:14 UTC
Created attachment 967329 [details]
File: var_log_messages

Comment 12 Fedora Update System 2014-12-12 04:53:07 UTC
gtk3-3.14.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gtk3-3.14.6-1.fc21

Comment 13 Fedora Update System 2014-12-13 09:46:06 UTC
Package gtk3-3.14.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk3-3.14.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16867/gtk3-3.14.6-1.fc21
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-12-15 04:27:57 UTC
gtk3-3.14.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.